Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I have a problem where KB2494088 (a SQL Server 2008 R2 patch) continually fails to install when I reboot my system. Downloading the manual patch and trying to apply it says:

The SQL Server patch package is part of a general distribution release (GDR). This package cannot be applied since this SQL Server feature has already been patched. To continue, you must install a higher version of the SQL Server patch.

Most other posts (this, this) suggest it's either a failed (or cancelled) past installation or requires a SQL server repair.

I've looked at registry settings and tried the repair option, but nothing seems to work.

share|improve this question
    
Can you specify what version of SQL Server 2008 R2 you are using? –  JohnThePro Feb 7 '12 at 23:38

1 Answer 1

up vote 2 down vote accepted

I would like to point out that the patch is for the RTM version of SQL Server 2008 R2.

According to the KB article for the patch in question,

http://support.microsoft.com/kb/2494088

"Note This issue is specific to security update 2494088 for SQL Server 2008 R2. This issue only applies to systems that run the original release version of SQL Server 2008 R2. If you already applied a cumulative update (CU) or a critical on-demand (COD) hotfix to the system and are no longer running the original release version of SQL Server 2008 R2, you must install security update 2494086 instead of security update 2494088."

So basically if you've installed ANY patches EVER, this patch is never going to install for you. To see if your system does qualify for the right patch, please attempt to download and install the hotfix located at:

http://www.microsoft.com/download/en/details.aspx?id=26315

Its corresponding KB article is here:

http://support.microsoft.com/kb/2494086

Lastly, if you attempt to install KB2494086, and it also reports that your SQL Server is running a version newer than this patch applies to, than you can choose to 'Hide Update' in your Windows Update for that particular patch.

Let me know if you've got questions.

share|improve this answer
    
If you can find a page like this, technet.microsoft.com/en-us/security/bulletin/ms11-049 , I believe you can use the QFE (Hotfix) version in the appropriate column. –  Sam Oct 25 '12 at 17:11

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.